> ## Documentation Index
> Fetch the complete documentation index at: https://developers.trycents.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Verify OTP

> Verify phone number with One-Time Password code



## OpenAPI

````yaml POST /auth/customers/verify-otp
openapi: 3.1.0
info:
  title: OpenAPI Cents
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api3.trycents.com/api/v1/common
security: []
paths:
  /auth/customers/verify-otp:
    post:
      description: Verify phone number with One-Time Password code
      requestBody:
        content:
          application/json:
            schema:
              required:
                - phoneNumber
                - otpCode
              type: object
              properties:
                phoneNumber:
                  type: string
                  description: Phone number must have 10 digits
                otpCode:
                  type: string
                  description: Code must be a 6 digit number
        required: true
      responses:
        '200':
          description: User authenticated
          content:
            application/json:
              schema:
                type: object
                properties:
                  token:
                    type: string
                  centsCustomerId:
                    type: number
                  firstName:
                    type: string
                  lastName:
                    type: string
                  email:
                    type: string
                  phoneNumber:
                    type: string
                  businessCustomers:
                    type: array
                    items:
                      type: object
                      properties:
                        businessId:
                          type: number
                        isCommercial:
                          type: boolean
                        isInvoicingEnabled:
                          type: boolean
                        businessName:
                          type: string
                        optOutMarketingSms:
                          type: boolean
                example:
                  token: eyJ1c2VyX2lkIjoxLCJleHAiOjE1ODEzNTcwMzl9
                  centsCustomerId: 1
                  firstName: Jane
                  lastName: Doe
                  email: jane@example.com
                  phoneNumber: '+16786419944'
                  businessCustomers:
                    - businessId: 123
                      isCommercial: true
                      isInvoicingEnabled: true
                      businessName: Acme Laundry
                      optOutMarketingSms: false
        '400':
          description: Validation error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
                example:
                  error: Phone number is required. Phone number must have 10 digits.
        '403':
          description: Invalid code
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
                example:
                  error: Invalid code
      servers:
        - url: https://api3.trycents.com/api/v1
components:
  schemas:
    Error:
      required:
        - error
      type: object
      properties:
        error:
          type: string

````